summaryrefslogtreecommitdiffstats
path: root/tests/frame.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/frame.sh')
-rwxr-xr-xtests/frame.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/tests/frame.sh b/tests/frame.sh
new file mode 100755
index 0000000..e6f071d
--- /dev/null
+++ b/tests/frame.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+function pci {
+ PCILIB_PATH="/root/pcitool"
+ LD_LIBRARY_PATH="$PCILIB_PATH" $PCILIB_PATH/pci $*
+}
+
+pci --stop-dma dma1
+pci --reset
+
+echo "Set packet size 1024 .. "
+pci -w number_lines 1088
+#pci -w xrawdata_packet_length 4096
+pci --start-dma dma1
+usleep 1000
+
+echo "Send frame request ... "
+pci -w control 1e9
+usleep 100000
+pci -w control 1e1
+usleep 100000
+
+echo "Enable Readout ... "
+pci -w control 3e1
+
+usleep 100000
+
+pci -r dma1 -o bench.out --multipacket
+
+#for i in `seq 1 1000`; do
+# pci -r dma1 -s 4096 -o bench.out
+# if [ $? -ne 0 ]; then break; fi
+#done
+
+pci -w control 1e1
+
+pci --stop-dma dma1
+